complexType "AdjustableOrRelativeDate"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 11 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | adjustableDate | relativeDate
</...>

Content Model Elements (2):

  adjustableDate,
  relativeDate (defined in AdjustableOrRelativeDate complexType)

All Direct / Indirect Based Elements (11):

  calculationEndDate,
  calculationStartDate,
  commencementDate,
  effectiveDate (defined in DirectionalLeg complexType),
  expirationDate (in americanExercise),
  expirationDate (in europeanExercise),
  expirationDate (in option),
  paymentDate (in initialFee),
  paymentDate (in payment defined in TradingEventSummary complexType),
  paymentDate (in paymentDetail),
  terminationDate (defined in DirectionalLeg complexType)

Known Usage Locations

- As direct type of elements (11):
  calculationEndDate,
  calculationStartDate,
  commencementDate,
  effectiveDate (defined in DirectionalLeg complexType),
  expirationDate (in americanExercise),
  expirationDate (in europeanExercise),
  expirationDate (in option),
  paymentDate (in initialFee),
  paymentDate (in payment defined in TradingEventSummary complexType),
  paymentDate (in paymentDetail),
  terminationDate (defined in DirectionalLeg complexType)

Annotation
A type giving the choice between defining a date as an explicit date together with applicable adjustments or as relative to some other (anchor) date.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AdjustableOrRelativeDate"> <xsd:choice> <xsd:element name="adjustableDate" type="AdjustableDate"/> <xsd:element name="relativeDate" type="RelativeDateOffset"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
adjustableDate

  Type: | AdjustableDate, complex content

  A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="adjustableDate" type="AdjustableDate"/>

relativeDate

  Type: | RelativeDateOffset, complex content

  A date specified as some offset to another date (the anchor date).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="relativeDate" type="RelativeDateOffset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.